View Issue Details

IDProjectCategoryView StatusLast Update
0000440Industrial-Craft²machinespublic2013-06-23 00:57
ReporterFleetKillerAssigned ToPlayer 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformJava 7 Update 21OSWindows 7OS Version64-bit
Product Version 
Target VersionFixed in Version 
Summary0000440: Trade-O-Mat GUI Problem
DescriptionWhen a Trade-O-Mat is placed down, The owner gets a different GUI than the user, but that GUI has no issues at all. The GUI that is broken is the one for the user. Under the Want and Offer text, there is a line of code, ic2.container.personalTrader.stock, which I believe is suppose to say how many trades the machine has made. The line of code goes off the GUI screen, and over one slot box. I have tested this on many different versions of IC2 from 1.4.5 official all the way threw the betas to the latest 1.5.2 beta with a number of different forge combinations. All was tested on Java 7 32-bit and 64-bit and Windows 7 64-bit. It was also tested on SMP and Single player with multiple accounts. Also all my friends experience the same problems on SMP. The screenshot will show you exactly what is wrong.
Steps To Reproduce1. Place down a Trade-O-Mat anywhere you desire.
2. Get another player or account to right click on the machine
3. See the broken GUI

Try it on any IC2/forge combo and you will see the same thing
TagsNo tags attached.
Minecraft Version

Activities

FleetKiller

2013-06-09 00:01

reporter  

2013-06-08_16.48.08.png (131,874 bytes)
2013-06-08_16.48.08.png (131,874 bytes)

FleetKiller

2013-06-09 00:11

reporter   ~0001044

I also took a look inside the lang file inside ic2/lang, and under guis, there are container.personalTrader.totalTrades0 and container.personalTrader.totalTrades1. But there is no container.personalTrader.stock.

FleetKiller

2013-06-09 00:16

reporter   ~0001045

Success, When I added container.personalTrader.stock under guis in the lang file, and wrote TEST, it changed the text. I will upload a screenshot to show. So it is just a language file problem, but I still do not know what the red 0 is for, and its not changeable. Any help would be nice. Thanks

FleetKiller

2013-06-09 00:17

reporter  

2013-06-08_17.14.13.png (248,784 bytes)
2013-06-08_17.14.13.png (248,784 bytes)

FleetKiller

2013-06-09 00:36

reporter   ~0001046

I think by the name, It was made for stock of an item, but that zero never changes, so I think its broken. But here is a picture of the way it should probably look.

FleetKiller

2013-06-09 00:37

reporter  

2013-06-08_17.34.31.png (70,114 bytes)
2013-06-08_17.34.31.png (70,114 bytes)

Player

2013-06-23 00:57

administrator   ~0001071

Should be fixed in build 356-lf

Issue History

Date Modified Username Field Change
2013-06-09 00:01 FleetKiller New Issue
2013-06-09 00:01 FleetKiller File Added: 2013-06-08_16.48.08.png
2013-06-09 00:11 FleetKiller Note Added: 0001044
2013-06-09 00:16 FleetKiller Note Added: 0001045
2013-06-09 00:17 FleetKiller File Added: 2013-06-08_17.14.13.png
2013-06-09 00:36 FleetKiller Note Added: 0001046
2013-06-09 00:37 FleetKiller File Added: 2013-06-08_17.34.31.png
2013-06-23 00:57 Player Note Added: 0001071
2013-06-23 00:57 Player Status new => resolved
2013-06-23 00:57 Player Resolution open => fixed
2013-06-23 00:57 Player Assigned To => Player